- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moFitSolContinue< EOT > Class Template Reference

One possible stop criterion for a solution-based heuristic. More...

`#include <moFitSolContinue.h>`

Inheritance diagram for moFitSolContinue< EOT >:

List of all members.

## Public Types
typedef EOT::Fitness | Fitness
| Alias for the fitness.
## Public Member Functions
| moFitSolContinue (Fitness __fitness)
| Basic constructor.
bool | operator() (const EOT &__sol)
| Function that activates the stopping criterion.
void | init ()
| Procedure which allows to initialise all the stuff needed.
## Private Attributes
Fitness | fitness
| Fitness target.

## Detailed Description

### template<class EOT>
class moFitSolContinue< EOT >

One possible stop criterion for a solution-based heuristic.

The stop criterion corresponds to a fitness threshold gained.

Definition at line 46 of file moFitSolContinue.h.

## Constructor & Destructor Documentation

template<class EOT>

moFitSolContinue< EOT >::moFitSolContinue | ( | Fitness | __fitness | ) | `[inline]`

Basic constructor.

Parameters:

  | __fitness | The fitness to reach.

Definition at line 58 of file moFitSolContinue.h.

## Member Function Documentation

template<class EOT>

bool moFitSolContinue< EOT >::operator() | ( | const EOT & | __sol | ) | `[inline, virtual]`

Function that activates the stopping criterion.

Indicates if the fitness threshold has not yet been reached.

Parameters:

  | __sol | the current solution.

Returns:
  true or false according to the value of the fitness.

Implements eoUF< const EOT &, bool >.

Definition at line 68 of file moFitSolContinue.h.

References moFitSolContinue< EOT >::fitness.

template<class EOT>

void moFitSolContinue< EOT >::init | ( |  | ) | `[inline, virtual]`

Procedure which allows to initialise all the stuff needed.

It can be also used to reinitialize all the needed things.

Implements moSolContinue< EOT >.

Definition at line 82 of file moFitSolContinue.h.

The documentation for this class was generated from the following file:

- moFitSolContinue.h